#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_GoldenTurtleTaskCFGData
{
	//任务ID
	int mId;
	//任务描述
	std::string mDesc;
	//完成条件类型
	int mCompleteType;
	//特殊参数,填0不生效。对任务捕获指定鱼需要填写
	int mCompleteParam;
	//完成计数
	int mCompleteCount;
	//奖励物品ID
	int mAwardItemIDs;
	//奖励物品数量
	int mAwardItemCounts;
};

class Fish_GoldenTurtleTaskCFG
{
public:
private:
	static std::auto_ptr<Fish_GoldenTurtleTaskCFG> msSingleton;
public:
	int GetCount();
	const Fish_GoldenTurtleTaskCFGData* GetData(int Id);
	boost::unordered_map<int, Fish_GoldenTurtleTaskCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_GoldenTurtleTaskCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_GoldenTurtleTaskCFGData> mMapData;
};
